Loading...
Searching...
No Matches
driver_mpi_source.h File Reference
`#include <core/workers.h>`
`#include <drivers/mp_common/mp_common.h>`
`#include <datawizard/node_ops.h>`

Go to the source code of this file.

## Functions

void | _starpu_mpi_ms_preinit (void)
struct _starpu_mp_node * | _starpu_mpi_ms_src_get_actual_thread_mp_node ()
unsigned | _starpu_mpi_src_get_device_count ()
void * | _starpu_mpi_src_worker (void *arg)
void | _starpu_init_mpi_config (struct _starpu_machine_topology *topology, struct _starpu_machine_config *config, struct starpu_conf *user_conf, int no_mp_config)
void | _starpu_mpi_init_worker_binding (struct _starpu_machine_config *config, int no_mp_config STARPU_ATTRIBUTE_UNUSED, struct _starpu_worker *workerarg)
void | _starpu_mpi_init_worker_memory (struct _starpu_machine_config *config, int no_mp_config STARPU_ATTRIBUTE_UNUSED, struct _starpu_worker *workerarg)
void | _starpu_deinit_mpi_config (struct _starpu_machine_config *config)
void | _starpu_mpi_source_init (struct _starpu_mp_node *node)
void | _starpu_mpi_source_deinit (struct _starpu_mp_node *node)

## Variables

struct _starpu_node_ops | _starpu_driver_mpi_ms_node_ops

## Function Documentation

## _starpu_mpi_ms_src_get_actual_thread_mp_node()

struct _starpu_mp_node * _starpu_mpi_ms_src_get_actual_thread_mp_node | ( |  | ) |

Array of structures containing all the information useful to send and receive information with devices